Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class FigureRefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.FigureRefImpl

All Implemented Interfaces:
  EObject, FigureMarker, FigureRef, InternalEObject, Layoutable, Notifier

public class FigureRefImpl
extends EObjectImpl
implements FigureRef

An implementation of the model object 'Figure Ref'.

The following features are implemented:

- `Layout Data`
- `Layout`
- `Parent`
- `Figure`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Figure` `figure` The cached value of the '`Figure`' reference
`protected Layout` `layout` The cached value of the '`Layout`' containment reference
`protected LayoutData` `layoutData` The cached value of the '`Layout Data`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FigureRefImpl()`

Method Summary
`Figure` `basicGetFigure()`
`NotificationChain` `basicSetLayout(Layout newLayout, NotificationChain msgs)`
`NotificationChain` `basicSetLayoutData(LayoutData newLayoutData, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Figure` `getFigure()`
`Layout` `getLayout()`
`LayoutData` `getLayoutData()`
`Figure` `getParent()`
`void` `setFigure(Figure newFigure)`
`void` `setLayout(Layout newLayout)`
`void` `setLayoutData(LayoutData newLayoutData)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### layoutData

    protected LayoutData layoutData

  The cached value of the '`Layout Data`' containment reference.

  See Also:
    `FigureRefImpl.getLayoutData()`
  ** Generated **
  Ordered:

### layout

    protected Layout layout

  The cached value of the '`Layout`' containment reference.

  See Also:
    `FigureRefImpl.getLayout()`
  ** Generated **
  Ordered:

### figure

    protected Figure figure

  The cached value of the '`Figure`' reference.

  See Also:
    `FigureRefImpl.getFigure()`
  ** Generated **
  Ordered:

Constructor Detail

### FigureRefImpl

    protected FigureRefImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getLayoutData

    public LayoutData getLayoutData()

  Specified by:
    `getLayoutData` in interface `Layoutable`
  Returns:
    the value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.setLayoutData(LayoutData)`, `GMFGraphPackage.getLayoutable_LayoutData()`, `LayoutData.getOwner()`
  ** Generated **

### basicSetLayoutData

    public NotificationChain basicSetLayoutData(LayoutData newLayoutData,
                                                NotificationChain msgs)

  ** Generated **

### setLayoutData

    public void setLayoutData(LayoutData newLayoutData)

  Specified by:
    `setLayoutData` in interface `Layoutable`
  Parameters:
    `newLayoutData` - the new value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.getLayoutData()`
  ** Generated **

### getLayout

    public Layout getLayout()

  Specified by:
    `getLayout` in interface `Layoutable`
  Returns:
    the value of the 'Layout' containment reference.
  See Also:
    `Layoutable.setLayout(Layout)`, `GMFGraphPackage.getLayoutable_Layout()`
  ** Generated **

### basicSetLayout

    public NotificationChain basicSetLayout(Layout newLayout,
                                            NotificationChain msgs)

  ** Generated **

### setLayout

    public void setLayout(Layout newLayout)

  Specified by:
    `setLayout` in interface `Layoutable`
  Parameters:
    `newLayout` - the new value of the 'Layout' containment reference.
  See Also:
    `Layoutable.getLayout()`
  ** Generated **

### getParent

    public Figure getParent()

  Specified by:
    `getParent` in interface `FigureMarker`
  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `GMFGraphPackage.getFigureMarker_Parent()`, `Figure.getChildren()`
  ** Generated **

### getFigure

    public Figure getFigure()

  Specified by:
    `getFigure` in interface `FigureRef`
  Returns:
    the value of the 'Figure' reference.
  See Also:
    `FigureRef.setFigure(Figure)`, `GMFGraphPackage.getFigureRef_Figure()`
  ** Generated **

### basicGetFigure

    public Figure basicGetFigure()

  ** Generated **

### setFigure

    public void setFigure(Figure newFigure)

  Specified by:
    `setFigure` in interface `FigureRef`
  Parameters:
    `newFigure` - the new value of the 'Figure' reference.
  See Also:
    `FigureRef.getFigure()`
  ** Generated **

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.